<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.oqpo.api.mapper.inoutmng.ColOdrMapper">
    <select id="selectColRtnIngCnt" resultType="int">
        select count(*)  /* ColOdr.selectColRtnIngCnt */
        from  col_odr_base_info base
        ,col_odr_dtl_ptcl  ptcl
        where base.col_cmd_unq_no = ptcl.col_cmd_unq_no
        and   base.brand_id = #{brandId}
        and   base.col_cmd_st_cd in ('COL1','COL2')
        and   ptcl.rtn_podr_unq_no = #{rtnPodrUnqNo}
    </select>

</mapper>
